// -*- C++ -*-
//
// Copyright 2022 Dmitry Igrishin
//
// Licensed under the Apache License, Version 2.0 (the "License");
// you may not use this file except in compliance with the License.
// You may obtain a copy of the License at
//
//     http://www.apache.org/licenses/LICENSE-2.0
//
// Unless required by applicable law or agreed to in writing, software
// distributed under the License is distributed on an "AS IS" BASIS,
// WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
// See the License for the specific language governing permissions and
// limitations under the License.

#ifndef DMITIGR_PGFE_PGFE_HPP
#define DMITIGR_PGFE_PGFE_HPP

#include "array_aliases.hpp"
#include "array_conversions.hpp"
#include "basics.hpp"
#include "basic_conversions.hpp"
#include "completion.hpp"
#include "composite.hpp"
#include "compositional.hpp"
#include "connection.hpp"
#include "connection_options.hpp"
#include "connection_pool.hpp"
#include "contract.hpp"
#include "conversions.hpp"
#include "conversions_api.hpp"
#include "copier.hpp"
#include "data.hpp"
#include "errc.hpp"
#include "errctg.hpp"
#include "error.hpp"
#include "exceptions.hpp"
#include "large_object.hpp"
#include "message.hpp"
#include "misc.hpp"
#include "notice.hpp"
#include "notification.hpp"
#include "parameterizable.hpp"
#include "prepared_statement.hpp"
#include "problem.hpp"
#include "ready_for_query.hpp"
#include "response.hpp"
#include "row.hpp"
#include "row_info.hpp"
#include "signal.hpp"
#include "statement.hpp"
#include "statement_vector.hpp"
#include "tuple.hpp"
#include "types_fwd.hpp"
#include "version.hpp"
#include "lib_version.hpp"

#endif  // DMITIGR_PGFE_PGFE_HPP
